#extraction des donnéesdu fichier
import os,math
import matplotlib.pyplot as plt

def extraireDonnees(chemin):
	fichier = open(chemin,  'r')
	lignes = fichier.readlines()
	# la variable '''lignes''' contient chaque lignes du fichier. 

	##########Extraction des données#########
	#chaque ligne contient au moins 3 données. Le temps, l'abscisse et l'ordonnée de chaque point.
	#on créé pour chacun une liste, qui contiendra chacune de ces valeurs
	t=[]
	X=[]
	Y=[]


	#Pour chaque ligne on extrait les 3 données, puis on ajoute dans la liste
	for i in range(len(lignes)):#on supprime la troisième tabulation
		lignes[i]=lignes[i].rstrip('\t\n')
	#print("lignes=",lignes)

	# On remplit les listes avec les valeurs
	for ligne in lignes[0:] :
		try :  # nécessaire pour certaines lignes avec des caractères
			temps, x, y = ligne.split('\t') # '\t' correspond au caractère "tabulation"
			t.append(float(temps.replace(',', '.')))
			X.append(float(x.replace(',', '.')))
			Y.append(float(y.strip().replace(',', '.')))
		except : pass
	return X,Y,t


###########tracé des courbes souhaitées###########

##On veut tracer Y=f(X) la trajectoire

################# PARTIE À COMPLÉTER############################
def afficheTrajectoire(X,Y,xmax):
	plt.plot(X, Y, '+')
	plt.plot(0,0,'x')
	plt.axis('equal')
	plt.xlim(-xmax,xmax)
	plt.ylim(-xmax,xmax)
	
	
##################################################################

#Fonction pour tracer un vecteur
def traceVecteur(posX,posY,projX,projY,couleur):
	'''
	posX et pos Y correspondent à l'origine du vecteur et projX et projY sont les composantes du vecteur suivant X et Y 
	'''
	plt.arrow(posX, posY, projX, projY, head_width=0.01, head_length=0.01, fc=couleur, ec=couleur, length_includes_head=True)







